# Clone Dataset As Draft

Create a new draft dataset based on an existing one. This is useful when you would like to use the same dataset again for another training, but with some modification (create a variation). The cloned dataset inherits the visual_schema from the source dataset.

Endpoint: POST /tailored-gen/datasets/{dataset_id}/clone

## Path parameters:

  - `dataset_id` (integer, required)

## Header parameters:

  - `api_token` (string, required)

## Request fields (application/json):

  - `name` (string)
    New dataset name. Defaults to "Copy of [original name]"

  - `description` (string)
    New dataset description.

## Response 201 fields (application/json):

  - `id` (integer)

  - `project_id` (integer)

  - `name` (string)

  - `visual_schema` (string,null)

  - `status` (string)
    Enum: "draft"

  - `captions_update_status` (string)
    Enum: "empty", "in_progress", "completed"

  - `upload_type` (string)
    Enum: "basic", "advanced"

  - `images_count` (integer)

  - `images` (array)

  - `images.id` (integer)

  - `images.dataset_id` (integer)

  - `images.caption` (string)

  - `images.caption_source` (string)
    Enum: "automatic"

  - `images.image_name` (string)

  - `images.image_url` (string)

  - `images.thumbnail_url` (string)

  - `images.created_at` (string)

  - `images.updated_at` (string)

  - `created_at` (string)

  - `updated_at` (string)


## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 429 fields

## Response 500 fields
